summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorVlad Frolov2019-05-29 18:47:18 +0300
committerVlad Frolov2019-05-29 18:49:10 +0300
commit23d7dc7b4a8fe1cb917d297e51de1a66db3325ac (patch)
treedd458c97fc18ab726caef3ab9393cb1568696267
downloadaur-23d7dc7b4a8fe1cb917d297e51de1a66db3325ac.tar.gz
Initial commit
-rw-r--r--.SRCINFO24
-rw-r--r--PKGBUILD52
2 files changed, 76 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..24072ed2919
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,24 @@
+pkgbase = owl-git
+ pkgdesc = An open Apple Wireless Direct Link (AWDL) implementation written in C
+ pkgver = 0.0.0
+ pkgrel = 1
+ url = https://owlink.org/
+ arch = i686
+ arch = x86_64
+ arch = armv7h
+ arch = armv6h
+ arch = aarch64
+ license = GPL3
+ makedepends = cmake
+ depends = libpcap
+ depends = libev
+ depends = libnl
+ source = owl-git::git+https://github.com/seemoo-lab/owl.git#branch=master
+ source = git+https://github.com/google/googletest.git
+ source = git+https://github.com/radiotap/radiotap-library.git
+ sha512sums = SKIP
+ sha512sums = SKIP
+ sha512sums = SKIP
+
+pkgname = owl-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..8a215378c52
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,52 @@
+# Maintainer: Vlad Frolov <frolvlad@gmail.com>
+
+pkgname=owl-git
+pkgver=0.0.0
+pkgrel=1
+pkgdesc='An open Apple Wireless Direct Link (AWDL) implementation written in C'
+arch=('i686' 'x86_64' 'armv7h' 'armv6h' 'aarch64')
+url=https://owlink.org/
+license=('GPL3')
+depends=('libpcap' 'libev' 'libnl')
+makedepends=('cmake')
+source=(
+ "$pkgname::git+https://github.com/seemoo-lab/owl.git#branch=master"
+ "git+https://github.com/google/googletest.git"
+ "git+https://github.com/radiotap/radiotap-library.git"
+)
+sha512sums=(
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+)
+
+pkgver() {
+ cd "$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "0.0.0.r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ cd "$pkgname"
+ git config submodule.googletest.url $srcdir/googletest
+ git config submodule.radiotap.url $srcdir/radiotap-library
+ git submodule update --init
+}
+
+build() {
+ cd "$pkgname"
+ mkdir build -p && cd build
+ cmake -DCMAKE_INSTALL_PREFIX=/usr ..
+ make
+}
+
+package() {
+ cd "$pkgname/build"
+ make DESTDIR="$pkgdir" install
+
+ install -Dm644 -t "$pkgdir/usr/share/licenses/$pkgname" ../COPYING
+}
+
+# vim:set ts=2 sw=2 et: